Bug 970267 - rpm repo sync fails for python 2.6
rpm repo sync fails for python 2.6
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 16:29 EDT by Michael Hrivnak
Modified: 2013-09-10 11:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:46:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-06-03 16:29:46 EDT
The new yum importer uses an ElementTree feature that didn't exist in python 2.6. This resulted in an immediate failure of any rpm repo sync operation. A fix is already done and will be merged shortly.
Comment 1 Michael Hrivnak 2013-06-04 09:10:23 EDT
https://github.com/pulp/pulp_rpm/pull/217
Comment 2 Michael Hrivnak 2013-06-04 09:13:46 EDT
Oops, wrong PR link above. Here is the correct one: https://github.com/pulp/pulp_rpm/pull/216
Comment 3 Jeff Ortel 2013-06-06 12:20:31 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 4 Preethi Thomas 2013-07-10 09:54:41 EDT
verified
[root@ibm-x3550m3-07 ~]# rpm -qa |grep python-2.6
python-2.6.6-36.el6.x86_64
[root@ibm-x3550m3-07 ~]# 
[root@ibm-x3550m3-07 ~]# rpm -qa |grep pulp-server
pulp-server-2.2.0-0.20.beta.el6.noarch
[root@ibm-x3550m3-07 ~]# pulp-admin rpm repo create --repo-id pulp --feed http://repos.fedorapeople.org/repos/pulp/pulp/v2/beta/fedora-18/x86_64/
Successfully created repository [pulp]

[root@ibm-x3550m3-07 ~]# pulp-admin rpm repo sync run --repo-id pulp
+----------------------------------------------------------------------+
                    Synchronizing Repository [pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       43/43 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 43/43 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@ibm-x3550m3-07 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:46:10 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.